# Let's Encrypt Certbot Pre and Post Validation Hooks for Variomedia DNS API

## Requirements: 
* curl
* jq

## Usage:
* Add API token in both scripts
* certbot certonly --manual --preferred-challenges=dns --manual-auth-hook /path/to/authenticator.sh --manual-cleanup-hook /path/to/cleanup.sh -d secure.example.com

### Note:
The API token allows full access to the Variomedia API, it must be kept secret
to prevent abuse.
