#!/bin/bash

# API token
API_TOKEN=""

# Get first item of DNS API URL file
DNSURL=`head -n 1 /tmp/CERTBOT_$CERTBOT_DOMAIN/DNSURL`

# Delete TXT record
curl -s -X DELETE "$DNSURL" -H "Authorization: token $API_TOKEN" \
    -H "Content-Type: application/vnd.api+json" \
    -H "Accept: application/vnd.variomedia.v1+json"

# Remove first item of DNS API URL file
sed -i '1d' /tmp/CERTBOT_$CERTBOT_DOMAIN/DNSURL

# Remove temporary DNS API URL file if empty
if [ ! -s /tmp/CERTBOT_$CERTBOT_DOMAIN/DNSURL ]; then
    rm -f /tmp/CERTBOT_$CERTBOT_DOMAIN/DNSURL
fi
